env.info( '*** Mission Data *** ' )
Mission = {} --DO NOT REMOVE

PlayerGroupName = "UH-1H Enfield 1.1"
PlayerGroup = GROUP:FindByName(PlayerGroupName)
Mission.Briefing =  "- Dubai Under Siege 01\n- Operation Al Maktoum Bridge"
                    

--VARS
Mission.Complete = false
Mission.Part1 = false
Mission.Part2 = false
Mission.FirstTakeOff = false
Mission.InAlMinhadAirSpace = false
Mission.AlMinhadAtLZ = false
Mission.HasTroops = false
Mission.TroopsAtBridge = false
Mission.InBridgeLZAirSpace = false
Mission.InJSquadAirSpace = false
Mission.JSqudExtracted = false
Mission.InSharjahAirSpace = false
Mission.atSharJahIntl = false
Mission.InExtract2AirSpace = false

--Zones
Mission.FARPDallasZone = ZONE:New('FARP Dallas')
Mission.AlMinhadAirSpace = ZONE:New('Al Minhad Airspace')
Mission.AlminhadFlareZone = ZONE:New("al minhad flare")
Mission.AlMinhadLZ = ZONE:New('Al Minhad Pickup Zone')
Mission.BridgeLZFlareZone = ZONE:New('BridgeLZFlareZone')
Mission.BridgeLZ = ZONE:New("BridgeLZ")
Mission.BridgeLZAirSpace = ZONE:New("LZ AirSpace")
Mission.JSquadAirSpace = ZONE:New("JSquad Airspace")
Mission.JSquadFlareZone = ZONE:New("JSquadFlareZone")
Mission.JSquadLZ = ZONE:New("JSquadLZ")
Mission.SharjahAirSpace = ZONE:New("Sharjah Area")
Mission.SharjahFlareZone = ZONE:New("Sharjah Flare")
Mission.SharIntLZ = ZONE:New("Sharjah LZ")
Mission.Extract2AirSpace = ZONE:New("Extract 2 AirSpace")
Mission.RescureFlareZone = ZONE:New("RescueFlareZone")

--Show Welcome Msg & Briefing
TheFrat.WelcomeMessage(PlayerGroup,Mission.Briefing)

--EVENTS
PlayerGroup:HandleEvent(EVENTS.Takeoff)
function PlayerGroup:OnEventTakeoff(EventData)

  --First Take Off
  if PlayerGroup:IsCompletelyInZone(Mission.FARPDallasZone) and Mission.FirstTakeOff == false then
    Mission.FirstTakeOff = true
    
    SCHEDULER:New( nil,
    function()
      local msg = "Be advised: You may encounter enemy soliders, small arms fire, and manpads on this operation. Al Minhad AB ETA 5 min."
      --TheFrat.PlaySoundToGroup("chirp.ogg",PlayerGroup)
      MESSAGE:New(msg,20,'FARP Dallas'):ToGroup(PlayerGroup)
    end, {}, 300)
    
    --Flare when in Al Minhad Airspace
    TheFrat.AlMinhadAirSpace()
  
  end
  
  --Take Off From Al Minhad AB after picking up troops
  if PlayerGroup:IsCompletelyInZone(Mission.AlMinhadLZ) and Mission.HasTroops == true and Mission.TroopsAtBridge == false then
    
    --flare when in Bridge LZ airspace
    TheFrat.BridgeLZAirspace()
    
  end
  
  --Taking off from LZ Bridge
  if PlayerGroup:IsCompletelyInZone(Mission.BridgeLZ) and Mission.TroopsAtBridge == true and Mission.HasTroops == false then
    
    --flare when at JSquad Airspace
    TheFrat.JSquadAirSpace()
    
  end
  
  --Taking off From JSquad
  if PlayerGroup:IsCompletelyInZone(Mission.JSquadLZ) and Mission.JSqudExtracted == true then
    
    --flare when at Sharjah Intn
    TheFrat.SharjahAirSpace()
      
  end
  
  --Taking off from Sharjah International Mission.Part1
  if PlayerGroup:IsCompletelyInZone(Mission.SharIntLZ) and Mission.Part1 == true and Mission.atSharJahIntl == false then
    Mission.atSharJahIntl = true
    
    SCHEDULER:New( nil,
    function()
        local message = "Enfield 1, we have a situation. \n\n3 US soldiers have gotten separated from their platoon and are currently being trailed by an unknown number of enemy insurgents. They are in need of an immediate extraction.\n\nTheir last known location was near the Dubai Intl Airport. They also have a homing beacon. (ADF 55.20 FM Mhz) \nLocate, extract troops and return to FARP Dallas at once!"
        --part 2
        TheFrat.PlaySoundToGroup("chirp.ogg",PlayerGroup)
        PlayerGroup:Message(message,45,"FARP Dallas")
        TheFrat.RescueTroopsAirSpace()
        
    end, {}, math.random(120,180)) 
    
  end
  
  --Taking off From Rescue Troops
  if PlayerGroup:IsCompletelyInZone(Mission.Extract2AirSpace) and Mission.Part2 == true then
    SCHEDULER:New( nil,
    function()
        local message = "FARP Dallas ADF 42 FM"
        --part 2
        TheFrat.PlaySoundToGroup("chirp.ogg",PlayerGroup)
        PlayerGroup:Message(message,15,"Co Pilot")
        
    end, {}, math.random(120,180)) 
  end
  
end

PlayerGroup:HandleEvent(EVENTS.Land)
function PlayerGroup:OnEventLand(EventData)

  --Landing @ Al Minhad AB pickup troops
  if PlayerGroup:IsCompletelyInZone(Mission.AlMinhadLZ) and Mission.AlMinhadAtLZ == false then
    Mission.AlMinhadAtLZ = true
    
    --auto load troops
    TheFrat.LoadTroops(PlayerGroupName)
  
  end
  
  --Landing at LZ Bridge
  if PlayerGroup:IsCompletelyInZone(Mission.BridgeLZ) and Mission.HasTroops == true then
    Mission.HasTroops = false
    
    --auto unload troops
    ctld.unloadTransport(PlayerGroupName)
    Mission.TroopsAtBridge = true
  
  end
  --Landing @ JSquad 
  if PlayerGroup:IsCompletelyInZone(Mission.JSquadLZ) and Mission.InJSquadAirSpace == true and Mission.JSqudExtracted == false then    
    --extract troops
    ctld.loadTransport(PlayerGroupName)
    Mission.JSqudExtracted = true
  end
  
  --Landing @ Sharjah Intrnatioinal dropping off JSquad
  if PlayerGroup:IsCompletelyInZone(Mission.SharIntLZ) and Mission.JSqudExtracted == true then
    
    --unload Jsquad
    ctld.unloadTransport(PlayerGroupName)
    Mission.Part1 = true --Part 1 of mission Completed!
    Mission.JSqudExtracted = false
    SCHEDULER:New( nil,
    function()
        TheFrat.PlaySoundToGroup("chirp.ogg",PlayerGroup)
        PlayerGroup:Message("We better get back to FARP Dallas for Debriefing.",20,"Co-Pilot")
    end, {}, 5)
    
  end
  
  --Landing to Rescue Troops
  if PlayerGroup:IsCompletelyInZone(Mission.Extract2AirSpace) and Mission.Part2 == false and Mission.Part1 == true then
  
    --load troops
    ctld.loadTransport(PlayerGroupName)
    Mission.Part2 = true
    
  end
  
  --Landing at FARP Dallas Hoome (end game)
  if PlayerGroup:IsCompletelyInZone(Mission.FARPDallasZone) and Mission.Complete == false and Mission.Part1 == true and Mission.Part2 == true then
    Mission.Complete = true
    
    SCHEDULER:New( nil,
    function()
        local message = "** Mission Successful **\n\nExcellent work! You successfully completed all tasks!"
        TheFrat.PlaySoundToGroup("info.ogg",PlayerGroup)
        PlayerGroup:Message(message,40,"FARP Dallas")
        
          SCHEDULER:New( nil,
            function()
                local message = "- The Fraternity\n- thefraternitysim.com"
                TheFrat.PlaySoundToGroup("chirp.ogg",PlayerGroup)
                PlayerGroup:Message(message,25000)
            end, {}, 41)
        
    end, {}, 5)
    
  end
  
end

--
--Radio Freq
--

--FARP Dallas
FARPDallasRadioScheduler = SCHEDULER:New( nil,
  function()
      FARPDallasRadioUnit = UNIT:FindByName("FARP Dallas Radio")
      FARPDallasRadio = FARPDallasRadioUnit:GetBeacon()
      FARPDallasRadio:RadioBeacon("sonar.ogg", 42, radio.modulation.FM, 1000, 3)
  end, {}, 1,3)
  
--Bridge
BridgeM4RadioScheduler = SCHEDULER:New( nil,
  function()
      BridgeM4RadioUnit = UNIT:FindByName("Bridge M4")
      BridgeM4Radio = BridgeM4RadioUnit:GetBeacon()
      BridgeM4Radio:RadioBeacon("sonar.ogg", 52.40, radio.modulation.FM, 100, 3)
  end, {}, 1,3)
  
--JSquad
JSquadRadioScheduler = SCHEDULER:New( nil,
  function()
      JSquadRadioUnit = UNIT:FindByName("JSquad Leader")
      JSquadRadio = JSquadRadioUnit:GetBeacon()
      JSquadRadio:RadioBeacon("sonar.ogg", 43.50, radio.modulation.FM, 100, 3)
  end, {}, 1,3)
  
--Rescue Troop Radio
RescueTroopRadioScheduler = SCHEDULER:New( nil,
  function()
      RescueTroopRadioUnit = UNIT:FindByName("Troop Leader")
      RescueTroopRadio = RescueTroopRadioUnit:GetBeacon()
      RescueTroopRadio:RadioBeacon("sonar.ogg", 55.20, radio.modulation.FM, 100, 3)
  end, {}, 1,3)


--F16 FL16 Landing
SPAWN:New( "F16 Landing" ):InitRepeatOnEngineShutDown():Spawn()

--FX

SCHEDULER:New( nil,
  function()
      BTR80s = SET_GROUP:New():FilterCoalitions("red"):FilterCategories("ground"):FilterOnce()
      BTR80s:HandleEvent(EVENTS.Hit)
      function BTR80s:OnEventHit(EventData)
      
        --if btr80, explode when hit
        if EventData.TgtTypeName == "BTR-80" then
          TheFrat.explodeUnit(UNIT:FindByName(EventData.TgtUnitName))
        end
      end
  end, {}, 3)


env.info( '*** Mission Data END *** ' )