env.info( '*** The Fraternity *** ' )
TheFrat = {} --DO NOT REMOVE

function TheFrat.PlaySoundToGroup(soundfile,group)
  local PlayAudioFile = USERSOUND:New( soundfile )
  PlayAudioFile:ToGroup(group)
end

function TheFrat.randomchoice(t) --Selects a random item from a table
  local keys = {}
  for key, value in pairs(t) do
    keys[#keys+1] = key --Store keys in another table
  end
  index = keys[math.random(1, #keys)]
  return t[index]
end

function TheFrat.WelcomeMessage(group,missionBriefing)
   local welcomeMessage = "Welcome to The Fraternity"
   SCHEDULER:New( nil,
    function()
      TheFrat.PlaySoundToGroup("TheFraternityIntro.ogg",group)
      MESSAGE:New(welcomeMessage,10):ToGroup(group)
    end, {}, 4)
    
    SCHEDULER:New( nil,
    function()
      TheFrat.PlaySoundToGroup("beep4.ogg",group)
      MESSAGE:New(missionBriefing,10):ToGroup(group)
        SCHEDULER:New( nil,
        function()
          TheFrat.PlaySoundToGroup("radioscratch.ogg",group)
          MESSAGE:New("Get a move on to Al Minhad Airfield - your troops are awaiting. You can rearm at the airfield.",15,"Command"):ToGroup(group)
        end, {}, 15)
    end, {}, 15)
    
end

function TheFrat.AlMinhadAirSpace()
  local AlMinhadFLARESchedule = SCHEDULER:New( nil,
      function()
        if PlayerGroup:IsCompletelyInZone(Mission.AlMinhadAirSpace) and Mission.InAlMinhadAirSpace == false then
        Mission.InAlMinhadAirSpace = true
        TheFrat.PlaySoundToGroup("radioscratch.ogg",PlayerGroup)
        PlayerGroup:Message("We have you on radar, popping flares to your LZ.",15,"Al Minhad ATC")
        Mission.AlminhadFlareZone:FlareZone(FLARECOLOR.Green,4)
          --pop flare
        SCHEDULER:New( nil,
          function()
            Mission.AlminhadFlareZone:FlareZone(FLARECOLOR.Green,2)
          end, {},2,4,0,120)
        end
      end, {}, 1,1)
end

function TheFrat.BridgeLZAirspace()
  local Timer = SCHEDULER:New( nil,
      function()
        if PlayerGroup:IsCompletelyInZone(Mission.BridgeLZAirSpace) and Mission.InBridgeLZAirSpace == false then
        Mission.InBridgeLZAirSpace = true
        TheFrat.PlaySoundToGroup("radioscratch.ogg",PlayerGroup)
        PlayerGroup:Message("We hear you near by, popping yellow flares!",15,"Ground Command")
        Mission.BridgeLZFlareZone:FlareZone(FLARECOLOR.Yellow,4)
          --pop flare
        SCHEDULER:New( nil,
          function()
            Mission.BridgeLZFlareZone:FlareZone(FLARECOLOR.Yellow,2)
          end, {},2,4,0,130)
        end
      end, {}, 1,1)
end

function TheFrat.JSquadAirSpace()
  local Timer = SCHEDULER:New( nil,
      function()
        if PlayerGroup:IsCompletelyInZone(Mission.JSquadAirSpace) and Mission.InJSquadAirSpace == false then
        Mission.InJSquadAirSpace = true
        TheFrat.PlaySoundToGroup("radioscratch.ogg",PlayerGroup)
        PlayerGroup:Message("We hear loud and clear! Popping red flares!",15,"JSquad")
        Mission.JSquadFlareZone:FlareZone(FLARECOLOR.Red,4)
          --pop flare
        SCHEDULER:New( nil,
          function()
            Mission.JSquadFlareZone:FlareZone(FLARECOLOR.Red,2)
          end, {},2,4,0,120)
        end
      end, {}, 1,1)
end

function TheFrat.SharjahAirSpace()
  local Timer = SCHEDULER:New( nil,
      function()
        if PlayerGroup:IsCompletelyInZone(Mission.SharjahAirSpace) and Mission.InSharjahAirSpace == false then
        Mission.InSharjahAirSpace = true
        TheFrat.PlaySoundToGroup("radioscratch.ogg",PlayerGroup)
        PlayerGroup:Message("We have you on radar! Popping green flares!",15,"Sharjah Int")
        Mission.SharjahFlareZone:FlareZone(FLARECOLOR.Green,4)
          --pop flare
        SCHEDULER:New( nil,
          function()
            Mission.SharjahFlareZone:FlareZone(FLARECOLOR.Green,2)
          end, {},2,4,0,150)
        end
      end, {}, 1,1)
end

function TheFrat.RescueTroopsAirSpace()
    local Timer = SCHEDULER:New( nil,
      function()
        if PlayerGroup:IsCompletelyInZone(Mission.Extract2AirSpace) and Mission.InExtract2AirSpace == false then
        Mission.InExtract2AirSpace = true
        TheFrat.PlaySoundToGroup("radioscratch.ogg",PlayerGroup)
        PlayerGroup:Message("We have you near by! Popping red flares! Please hurry!",15,"Lost Soliders")
        Mission.RescureFlareZone:FlareZone(FLARECOLOR.Red,4)
          --pop flare
        SCHEDULER:New( nil,
          function()
            Mission.RescureFlareZone:FlareZone(FLARECOLOR.Red,2)
          end, {},2,4,0,120)
        end
      end, {}, 1,1)
end

function TheFrat.explodeUnit(unit)
  local boom1pos = unit:GetPointVec2()
  local pos = POINT_VEC2:New( boom1pos:GetLat(), boom1pos:GetLon() )
  trigger.action.explosion(pos, 100)
end

function TheFrat.LoadTroops(PlayerGroupName)
  --ctld.loadTransport(PlayerGroupName)
  
  SCHEDULER:New( nil,
    function()
      TheFrat.PlaySoundToGroup("chirp.ogg",GROUP:FindByName(PlayerGroupName))
      MESSAGE:New("The troops are loading sir. Hold here...",15,"Crew Chief"):ToGroup(GROUP:FindByName(PlayerGroupName))

        SCHEDULER:New( nil,
        function()
          TheFrat.PlaySoundToGroup("beep4.ogg",PlayerGroup)
          ctld.loadTransport(PlayerGroupName)
          Mission.HasTroops = true
            
        end, {}, 16)
      
    end, {}, 3)
  
end
env.info( '*** The Fraternity END *** ' )